_Timer0A_interrupt:
;USB_Bulk.mpas,27 :: 		begin
SUB	SP, SP, #4
STR	LR, [SP, #0]
;USB_Bulk.mpas,29 :: 		If _gUSB.Operation = _cUSB_Polling then
MOVW	R0, #lo_addr(__gUSB+0)
MOVT	R0, #hi_addr(__gUSB+0)
LDR	R1, [R0, #0]
MOVW	R0, #4660
CMP	R1, R0
IT	NE
BNE	L__Timer0A_interrupt2
;USB_Bulk.mpas,30 :: 		If USBInt then
MOVW	R0, #lo_addr(_USBInt+0)
MOVT	R0, #hi_addr(_USBInt+0)
LDR	R0, [R0, #0]
CMP	R0, #0
IT	EQ
BEQ	L__Timer0A_interrupt5
;USB_Bulk.mpas,31 :: 		USB_Handler;
BL	_USB_Handler+0
L__Timer0A_interrupt5:
L__Timer0A_interrupt2:
;USB_Bulk.mpas,33 :: 		TIMER_ICR_TATOCINT_bit := 1;         // Clear time-out timer A interrupt
MOVS	R1, #1
MOVW	R0, #lo_addr(TIMER_ICR_TATOCINT_bit+0)
MOVT	R0, #hi_addr(TIMER_ICR_TATOCINT_bit+0)
STR	R1, [R0, #0]
;USB_Bulk.mpas,34 :: 		Inc(TCnt);
MOVW	R1, #lo_addr(_TCnt+0)
MOVT	R1, #hi_addr(_TCnt+0)
LDR	R0, [R1, #0]
ADDS	R0, R0, #1
STR	R0, [R1, #0]
;USB_Bulk.mpas,35 :: 		end;
L_end_Timer0A_interrupt:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _Timer0A_interrupt
_Timer_Init:
;USB_Bulk.mpas,38 :: 		begin
SUB	SP, SP, #4
STR	LR, [SP, #0]
;USB_Bulk.mpas,39 :: 		SYSCTL_RCGC1_TIMER0_bit := 1;        // Enable clock gating for timer module 0
MOVS	R1, #1
MOVW	R0, #lo_addr(SYSCTL_RCGC1_TIMER0_bit+0)
MOVT	R0, #hi_addr(SYSCTL_RCGC1_TIMER0_bit+0)
STR	R1, [R0, #0]
;USB_Bulk.mpas,40 :: 		TIMER_CTL_TAEN_bit := 0;             // Disable timer
MOVS	R1, #0
MOVW	R0, #lo_addr(TIMER_CTL_TAEN_bit+0)
MOVT	R0, #hi_addr(TIMER_CTL_TAEN_bit+0)
STR	R1, [R0, #0]
;USB_Bulk.mpas,41 :: 		TIMER0_CFG := 0;                     // Set 32-bit timer configuration
MOVS	R1, #0
MOVW	R0, #lo_addr(TIMER0_CFG+0)
MOVT	R0, #hi_addr(TIMER0_CFG+0)
STR	R1, [R0, #0]
;USB_Bulk.mpas,42 :: 		TIMER0_TAMR  := TIMER0_TAMR or 2;    // Set periodic mode
MOVW	R0, #lo_addr(TIMER0_TAMR+0)
MOVT	R0, #hi_addr(TIMER0_TAMR+0)
LDR	R0, [R0, #0]
ORR	R1, R0, #2
MOVW	R0, #lo_addr(TIMER0_TAMR+0)
MOVT	R0, #hi_addr(TIMER0_TAMR+0)
STR	R1, [R0, #0]
;USB_Bulk.mpas,43 :: 		TIMER0_TAILR := Get_Fosc_kHz();      // 1/1000 Sec Set interval load
BL	_Get_Fosc_kHz+0
MOVW	R1, #lo_addr(TIMER0_TAILR+0)
MOVT	R1, #hi_addr(TIMER0_TAILR+0)
STR	R0, [R1, #0]
;USB_Bulk.mpas,45 :: 		NVIC_IntEnable(IVT_INT_TIMER0A);     // Enable timer interrupt
MOVS	R0, #35
BL	_NVIC_IntEnable+0
;USB_Bulk.mpas,46 :: 		TIMER_IMR_TATOIM_bit := 1;           // Enable time-out timer A interrupt
MOVS	R1, #1
MOVW	R0, #lo_addr(TIMER_IMR_TATOIM_bit+0)
MOVT	R0, #hi_addr(TIMER_IMR_TATOIM_bit+0)
STR	R1, [R0, #0]
;USB_Bulk.mpas,47 :: 		TIMER_CTL_TAEN_bit   := 1;           // Enable timer A
MOVS	R1, #1
MOVW	R0, #lo_addr(TIMER_CTL_TAEN_bit+0)
MOVT	R0, #hi_addr(TIMER_CTL_TAEN_bit+0)
STR	R1, [R0, #0]
;USB_Bulk.mpas,48 :: 		end;
L_end_Timer_Init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _Timer_Init
_Process:
;USB_Bulk.mpas,53 :: 		begin
SUB	SP, SP, #16
STR	LR, [SP, #0]
;USB_Bulk.mpas,55 :: 		_tmsXferStart : //
MOVW	R0, #lo_addr(__gUSB+44)
MOVT	R0, #hi_addr(__gUSB+44)
LDR	R0, [R0, #0]
CMP	R0, #1
IT	NE
BNE	L__Process12
;USB_Bulk.mpas,57 :: 		_DirIn  : begin  // 700KB/s
MOVW	R0, #lo_addr(__gUSB+32)
MOVT	R0, #hi_addr(__gUSB+32)
LDR	R0, [R0, #0]
CMP	R0, #1
IT	NE
BNE	L__Process16
;USB_Bulk.mpas,58 :: 		LCD_Log   (clWhite,'Dev -> PC');
ADD	R1, SP, #4
MOVS	R0, #68
STRB	R0, [R1, #0]
MOVS	R0, #101
STRB	R0, [R1, #1]
MOVS	R0, #118
STRB	R0, [R1, #2]
MOVS	R0, #32
STRB	R0, [R1, #3]
MOVS	R0, #45
STRB	R0, [R1, #4]
MOVS	R0, #62
STRB	R0, [R1, #5]
MOVS	R0, #32
STRB	R0, [R1, #6]
MOVS	R0, #80
STRB	R0, [R1, #7]
MOVS	R0, #67
STRB	R0, [R1, #8]
MOVS	R0, #0
STRB	R0, [R1, #9]
ADD	R0, SP, #4
MOV	R1, R0
MOVW	R0, #65535
BL	_LCD_Log+0
;USB_Bulk.mpas,59 :: 		USBInt := False;
MOV	R1, #0
MOVW	R0, #lo_addr(_USBInt+0)
MOVT	R0, #hi_addr(_USBInt+0)
STR	R1, [R0, #0]
;USB_Bulk.mpas,60 :: 		Rst := USB_GetSD (_gUSB);  // PC <-  Dev
MOVW	R0, #lo_addr(__gUSB+0)
MOVT	R0, #hi_addr(__gUSB+0)
BL	_USB_GetSD+0
;USB_Bulk.mpas,61 :: 		LCD_LogB(clLime,Rst);
MOV	R1, R0
MOVW	R0, #2016
BL	_LCD_LogB+0
;USB_Bulk.mpas,62 :: 		USBInt := True;
MOV	R1, #-1
MOVW	R0, #lo_addr(_USBInt+0)
MOVT	R0, #hi_addr(_USBInt+0)
STR	R1, [R0, #0]
;USB_Bulk.mpas,63 :: 		end;
IT	AL
BAL	L__Process13
L__Process16:
;USB_Bulk.mpas,64 :: 		_DirOut : begin
MOVW	R0, #lo_addr(__gUSB+32)
MOVT	R0, #hi_addr(__gUSB+32)
LDR	R0, [R0, #0]
CMP	R0, #2
IT	NE
BNE	L__Process19
;USB_Bulk.mpas,65 :: 		LCD_Log   (clWhite,'PC -> Dev'); // ------
ADD	R1, SP, #4
MOVS	R0, #80
STRB	R0, [R1, #0]
MOVS	R0, #67
STRB	R0, [R1, #1]
MOVS	R0, #32
STRB	R0, [R1, #2]
MOVS	R0, #45
STRB	R0, [R1, #3]
MOVS	R0, #62
STRB	R0, [R1, #4]
MOVS	R0, #32
STRB	R0, [R1, #5]
MOVS	R0, #68
STRB	R0, [R1, #6]
MOVS	R0, #101
STRB	R0, [R1, #7]
MOVS	R0, #118
STRB	R0, [R1, #8]
MOVS	R0, #0
STRB	R0, [R1, #9]
ADD	R0, SP, #4
MOV	R1, R0
MOVW	R0, #65535
BL	_LCD_Log+0
;USB_Bulk.mpas,66 :: 		USBInt := False;
MOV	R1, #0
MOVW	R0, #lo_addr(_USBInt+0)
MOVT	R0, #hi_addr(_USBInt+0)
STR	R1, [R0, #0]
;USB_Bulk.mpas,67 :: 		Rst := USB_PutSD (_gUSB);  // PC  -> Dev
MOVW	R0, #lo_addr(__gUSB+0)
MOVT	R0, #hi_addr(__gUSB+0)
BL	_USB_PutSD+0
;USB_Bulk.mpas,68 :: 		LCD_LogB(clLime,Rst);
MOV	R1, R0
MOVW	R0, #2016
BL	_LCD_LogB+0
;USB_Bulk.mpas,69 :: 		USBInt := True;
MOV	R1, #-1
MOVW	R0, #lo_addr(_USBInt+0)
MOVT	R0, #hi_addr(_USBInt+0)
STR	R1, [R0, #0]
;USB_Bulk.mpas,70 :: 		end;
IT	AL
BAL	L__Process13
L__Process19:
L__Process13:
;USB_Bulk.mpas,71 :: 		End;
IT	AL
BAL	L__Process9
L__Process12:
;USB_Bulk.mpas,72 :: 		_tmsPictShow  : //
MOVW	R0, #lo_addr(__gUSB+44)
MOVT	R0, #hi_addr(__gUSB+44)
LDR	R0, [R0, #0]
CMP	R0, #3
IT	NE
BNE	L__Process22
;USB_Bulk.mpas,74 :: 		LCD_LogClear;
BL	_LCD_LogClear+0
;USB_Bulk.mpas,75 :: 		SD_LoadPic (_gUSB.ModeAddr);
MOVW	R0, #lo_addr(__gUSB+36)
MOVT	R0, #hi_addr(__gUSB+36)
LDR	R0, [R0, #0]
BL	_SD_LoadPic+0
;USB_Bulk.mpas,76 :: 		_gUSB.ModeState := _tmsNone;
MOVS	R1, #0
MOVW	R0, #lo_addr(__gUSB+44)
MOVT	R0, #hi_addr(__gUSB+44)
STR	R1, [R0, #0]
;USB_Bulk.mpas,77 :: 		end;
IT	AL
BAL	L__Process9
L__Process22:
;USB_Bulk.mpas,78 :: 		_tmsMovShow   : //
MOVW	R0, #lo_addr(__gUSB+44)
MOVT	R0, #hi_addr(__gUSB+44)
LDR	R0, [R0, #0]
CMP	R0, #4
IT	NE
BNE	L__Process25
;USB_Bulk.mpas,80 :: 		LCD_Log(clLime,'Movie');
ADD	R1, SP, #4
MOVS	R0, #77
STRB	R0, [R1, #0]
MOVS	R0, #111
STRB	R0, [R1, #1]
MOVS	R0, #118
STRB	R0, [R1, #2]
MOVS	R0, #105
STRB	R0, [R1, #3]
MOVS	R0, #101
STRB	R0, [R1, #4]
MOVS	R0, #0
STRB	R0, [R1, #5]
ADD	R0, SP, #4
MOV	R1, R0
MOVW	R0, #2016
BL	_LCD_Log+0
;USB_Bulk.mpas,81 :: 		SD_PlayMov(_gUSB.ModeAddr);
MOVW	R0, #lo_addr(__gUSB+36)
MOVT	R0, #hi_addr(__gUSB+36)
LDR	R0, [R0, #0]
BL	_SD_PlayMov+0
;USB_Bulk.mpas,82 :: 		_gUSB.ModeState := _tmsNone;
MOVS	R1, #0
MOVW	R0, #lo_addr(__gUSB+44)
MOVT	R0, #hi_addr(__gUSB+44)
STR	R1, [R0, #0]
;USB_Bulk.mpas,83 :: 		LCD_LogClear;
BL	_LCD_LogClear+0
;USB_Bulk.mpas,84 :: 		end;
IT	AL
BAL	L__Process9
L__Process25:
;USB_Bulk.mpas,85 :: 		_tmsSDTest    : //
MOVW	R0, #lo_addr(__gUSB+44)
MOVT	R0, #hi_addr(__gUSB+44)
LDR	R0, [R0, #0]
CMP	R0, #5
IT	NE
BNE	L__Process28
;USB_Bulk.mpas,87 :: 		LCD_LogClear;
BL	_LCD_LogClear+0
;USB_Bulk.mpas,88 :: 		USBInt := False;
MOV	R1, #0
MOVW	R0, #lo_addr(_USBInt+0)
MOVT	R0, #hi_addr(_USBInt+0)
STR	R1, [R0, #0]
;USB_Bulk.mpas,89 :: 		SD_LoadPic (1500);
MOVW	R0, #1500
BL	_SD_LoadPic+0
;USB_Bulk.mpas,90 :: 		USBInt := True;
MOV	R1, #-1
MOVW	R0, #lo_addr(_USBInt+0)
MOVT	R0, #hi_addr(_USBInt+0)
STR	R1, [R0, #0]
;USB_Bulk.mpas,91 :: 		LCD_log(clLime ,'Start...');
ADD	R1, SP, #4
MOVS	R0, #83
STRB	R0, [R1, #0]
MOVS	R0, #116
STRB	R0, [R1, #1]
MOVS	R0, #97
STRB	R0, [R1, #2]
MOVS	R0, #114
STRB	R0, [R1, #3]
MOVS	R0, #116
STRB	R0, [R1, #4]
MOVS	R0, #46
STRB	R0, [R1, #5]
MOVS	R0, #46
STRB	R0, [R1, #6]
MOVS	R0, #46
STRB	R0, [R1, #7]
MOVS	R0, #0
STRB	R0, [R1, #8]
ADD	R0, SP, #4
MOV	R1, R0
MOVW	R0, #2016
BL	_LCD_Log+0
;USB_Bulk.mpas,92 :: 		SD_BenchMark1;
BL	_SD_BenchMark1+0
;USB_Bulk.mpas,93 :: 		SD_BenchMark2($13);
MOVS	R0, #19
BL	_SD_BenchMark2+0
;USB_Bulk.mpas,94 :: 		LCD_log(clLime ,'Ready...');
ADD	R1, SP, #4
MOVS	R0, #82
STRB	R0, [R1, #0]
MOVS	R0, #101
STRB	R0, [R1, #1]
MOVS	R0, #97
STRB	R0, [R1, #2]
MOVS	R0, #100
STRB	R0, [R1, #3]
MOVS	R0, #121
STRB	R0, [R1, #4]
MOVS	R0, #46
STRB	R0, [R1, #5]
MOVS	R0, #46
STRB	R0, [R1, #6]
MOVS	R0, #46
STRB	R0, [R1, #7]
MOVS	R0, #0
STRB	R0, [R1, #8]
ADD	R0, SP, #4
MOV	R1, R0
MOVW	R0, #2016
BL	_LCD_Log+0
;USB_Bulk.mpas,95 :: 		_gUSB.ModeState := _tmsNone;
MOVS	R1, #0
MOVW	R0, #lo_addr(__gUSB+44)
MOVT	R0, #hi_addr(__gUSB+44)
STR	R1, [R0, #0]
;USB_Bulk.mpas,96 :: 		end;
IT	AL
BAL	L__Process9
L__Process28:
L__Process9:
;USB_Bulk.mpas,98 :: 		end;
L_end_Process:
LDR	LR, [SP, #0]
ADD	SP, SP, #16
BX	LR
; end of _Process
_main:
;USB_Bulk.mpas,100 :: 		begin
SUB	SP, SP, #32
;USB_Bulk.mpas,102 :: 		USBInt := True;
MOV	R1, #-1
MOVW	R0, #lo_addr(_USBInt+0)
MOVT	R0, #hi_addr(_USBInt+0)
STR	R1, [R0, #0]
;USB_Bulk.mpas,104 :: 		LCD_Init     (clBlue);
MOVS	R0, #31
BL	_LCD_Init+0
;USB_Bulk.mpas,105 :: 		SD_Init      (SD_Speed);
MOVW	R0, #lo_addr(_SD_Speed+0)
MOVT	R0, #hi_addr(_SD_Speed+0)
BL	_SD_Init+0
;USB_Bulk.mpas,106 :: 		SD_LoadPic   (1500);
MOVW	R0, #1500
BL	_SD_LoadPic+0
;USB_Bulk.mpas,107 :: 		LCD_BackLight(True  );
MOV	R0, #-1
BL	_LCD_BackLight+0
;USB_Bulk.mpas,109 :: 		LCD_Log(clWhite ,' ');
ADD	R1, SP, #0
MOVS	R0, #32
STRB	R0, [R1, #0]
MOVS	R0, #0
STRB	R0, [R1, #1]
ADD	R0, SP, #0
MOV	R1, R0
MOVW	R0, #65535
BL	_LCD_Log+0
;USB_Bulk.mpas,110 :: 		LCD_Log(clLime  ,'http://blog.naver.com/simonsayz');
ADD	R1, SP, #0
MOVS	R0, #104
STRB	R0, [R1, #0]
MOVS	R0, #116
STRB	R0, [R1, #1]
MOVS	R0, #116
STRB	R0, [R1, #2]
MOVS	R0, #112
STRB	R0, [R1, #3]
MOVS	R0, #58
STRB	R0, [R1, #4]
MOVS	R0, #47
STRB	R0, [R1, #5]
MOVS	R0, #47
STRB	R0, [R1, #6]
MOVS	R0, #98
STRB	R0, [R1, #7]
MOVS	R0, #108
STRB	R0, [R1, #8]
MOVS	R0, #111
STRB	R0, [R1, #9]
MOVS	R0, #103
STRB	R0, [R1, #10]
MOVS	R0, #46
STRB	R0, [R1, #11]
MOVS	R0, #110
STRB	R0, [R1, #12]
MOVS	R0, #97
STRB	R0, [R1, #13]
MOVS	R0, #118
STRB	R0, [R1, #14]
MOVS	R0, #101
STRB	R0, [R1, #15]
MOVS	R0, #114
STRB	R0, [R1, #16]
MOVS	R0, #46
STRB	R0, [R1, #17]
MOVS	R0, #99
STRB	R0, [R1, #18]
MOVS	R0, #111
STRB	R0, [R1, #19]
MOVS	R0, #109
STRB	R0, [R1, #20]
MOVS	R0, #47
STRB	R0, [R1, #21]
MOVS	R0, #115
STRB	R0, [R1, #22]
MOVS	R0, #105
STRB	R0, [R1, #23]
MOVS	R0, #109
STRB	R0, [R1, #24]
MOVS	R0, #111
STRB	R0, [R1, #25]
MOVS	R0, #110
STRB	R0, [R1, #26]
MOVS	R0, #115
STRB	R0, [R1, #27]
MOVS	R0, #97
STRB	R0, [R1, #28]
MOVS	R0, #121
STRB	R0, [R1, #29]
MOVS	R0, #122
STRB	R0, [R1, #30]
MOVS	R0, #0
STRB	R0, [R1, #31]
ADD	R0, SP, #0
MOV	R1, R0
MOVW	R0, #2016
BL	_LCD_Log+0
;USB_Bulk.mpas,111 :: 		LCD_Log(clWhite ,'LCD     Init');
ADD	R1, SP, #0
MOVS	R0, #76
STRB	R0, [R1, #0]
MOVS	R0, #67
STRB	R0, [R1, #1]
MOVS	R0, #68
STRB	R0, [R1, #2]
MOVS	R0, #32
STRB	R0, [R1, #3]
MOVS	R0, #32
STRB	R0, [R1, #4]
MOVS	R0, #32
STRB	R0, [R1, #5]
MOVS	R0, #32
STRB	R0, [R1, #6]
MOVS	R0, #32
STRB	R0, [R1, #7]
MOVS	R0, #73
STRB	R0, [R1, #8]
MOVS	R0, #110
STRB	R0, [R1, #9]
MOVS	R0, #105
STRB	R0, [R1, #10]
MOVS	R0, #116
STRB	R0, [R1, #11]
MOVS	R0, #0
STRB	R0, [R1, #12]
ADD	R0, SP, #0
MOV	R1, R0
MOVW	R0, #65535
BL	_LCD_Log+0
;USB_Bulk.mpas,112 :: 		LCD_log(clWhite ,'MicroSD Init');
ADD	R1, SP, #0
MOVS	R0, #77
STRB	R0, [R1, #0]
MOVS	R0, #105
STRB	R0, [R1, #1]
MOVS	R0, #99
STRB	R0, [R1, #2]
MOVS	R0, #114
STRB	R0, [R1, #3]
MOVS	R0, #111
STRB	R0, [R1, #4]
MOVS	R0, #83
STRB	R0, [R1, #5]
MOVS	R0, #68
STRB	R0, [R1, #6]
MOVS	R0, #32
STRB	R0, [R1, #7]
MOVS	R0, #73
STRB	R0, [R1, #8]
MOVS	R0, #110
STRB	R0, [R1, #9]
MOVS	R0, #105
STRB	R0, [R1, #10]
MOVS	R0, #116
STRB	R0, [R1, #11]
MOVS	R0, #0
STRB	R0, [R1, #12]
ADD	R0, SP, #0
MOV	R1, R0
MOVW	R0, #65535
BL	_LCD_Log+0
;USB_Bulk.mpas,114 :: 		USB_Init(_cUSB_Polling);
MOVW	R0, #4660
BL	_USB_Init+0
;USB_Bulk.mpas,115 :: 		LCD_log(clWhite,'USB     Init');
ADD	R1, SP, #0
MOVS	R0, #85
STRB	R0, [R1, #0]
MOVS	R0, #83
STRB	R0, [R1, #1]
MOVS	R0, #66
STRB	R0, [R1, #2]
MOVS	R0, #32
STRB	R0, [R1, #3]
MOVS	R0, #32
STRB	R0, [R1, #4]
MOVS	R0, #32
STRB	R0, [R1, #5]
MOVS	R0, #32
STRB	R0, [R1, #6]
MOVS	R0, #32
STRB	R0, [R1, #7]
MOVS	R0, #73
STRB	R0, [R1, #8]
MOVS	R0, #110
STRB	R0, [R1, #9]
MOVS	R0, #105
STRB	R0, [R1, #10]
MOVS	R0, #116
STRB	R0, [R1, #11]
MOVS	R0, #0
STRB	R0, [R1, #12]
ADD	R0, SP, #0
MOV	R1, R0
MOVW	R0, #65535
BL	_LCD_Log+0
;USB_Bulk.mpas,117 :: 		Timer_Init;
BL	_Timer_Init+0
;USB_Bulk.mpas,118 :: 		LCD_log(clWhite,'Timer   Init');
ADD	R1, SP, #0
MOVS	R0, #84
STRB	R0, [R1, #0]
MOVS	R0, #105
STRB	R0, [R1, #1]
MOVS	R0, #109
STRB	R0, [R1, #2]
MOVS	R0, #101
STRB	R0, [R1, #3]
MOVS	R0, #114
STRB	R0, [R1, #4]
MOVS	R0, #32
STRB	R0, [R1, #5]
MOVS	R0, #32
STRB	R0, [R1, #6]
MOVS	R0, #32
STRB	R0, [R1, #7]
MOVS	R0, #73
STRB	R0, [R1, #8]
MOVS	R0, #110
STRB	R0, [R1, #9]
MOVS	R0, #105
STRB	R0, [R1, #10]
MOVS	R0, #116
STRB	R0, [R1, #11]
MOVS	R0, #0
STRB	R0, [R1, #12]
ADD	R0, SP, #0
MOV	R1, R0
MOVW	R0, #65535
BL	_LCD_Log+0
;USB_Bulk.mpas,120 :: 		EnableInterrupts();                  // Enables the processor interrupt.
BL	_EnableInterrupts+0
;USB_Bulk.mpas,122 :: 		LCD_log(clLime ,'Ready...');
ADD	R1, SP, #0
MOVS	R0, #82
STRB	R0, [R1, #0]
MOVS	R0, #101
STRB	R0, [R1, #1]
MOVS	R0, #97
STRB	R0, [R1, #2]
MOVS	R0, #100
STRB	R0, [R1, #3]
MOVS	R0, #121
STRB	R0, [R1, #4]
MOVS	R0, #46
STRB	R0, [R1, #5]
MOVS	R0, #46
STRB	R0, [R1, #6]
MOVS	R0, #46
STRB	R0, [R1, #7]
MOVS	R0, #0
STRB	R0, [R1, #8]
ADD	R0, SP, #0
MOV	R1, R0
MOVW	R0, #2016
BL	_LCD_Log+0
;USB_Bulk.mpas,126 :: 		While (true) do
L__main31:
;USB_Bulk.mpas,127 :: 		Process;
BL	_Process+0
IT	AL
BAL	L__main31
;USB_Bulk.mpas,129 :: 		end.
L_end_main:
L__main_end_loop:
B	L__main_end_loop
; end of _main
